Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Allow version 2 of the contracts package #33500

Merged
merged 1 commit into from Sep 8, 2019

Conversation

@derrabus
Copy link
Contributor

commented Sep 7, 2019

Q A
Branch? 4.4
Bug fix? no
New feature? no
BC breaks? no
Deprecations? no
Tests pass? yes
Fixed tickets prepares #33497
License MIT
Doc PR N/A

The plan is to release a version 2 of the contracts package that will require php 7.2 but remains compatible to Symfony 4.

@nicolas-grekas

This comment has been minimized.

Copy link
Member

commented Sep 7, 2019

Don't miss the root composer.json :)

@derrabus derrabus force-pushed the derrabus:improvement/allow-contracts-2 branch 2 times, most recently from 1497c51 to be84f9b Sep 7, 2019

@derrabus

This comment has been minimized.

Copy link
Contributor Author

commented Sep 7, 2019

Got it.

@derrabus derrabus force-pushed the derrabus:improvement/allow-contracts-2 branch from be84f9b to a1ee320 Sep 8, 2019

@fabpot
fabpot approved these changes Sep 8, 2019
@fabpot

This comment has been minimized.

Copy link
Member

commented Sep 8, 2019

Thank you @derrabus.

fabpot added a commit that referenced this pull request Sep 8, 2019
minor #33500 Allow version 2 of the contracts package (derrabus)
This PR was merged into the 4.4 branch.

Discussion
----------

Allow version 2 of the contracts package

| Q             | A
| ------------- | ---
| Branch?       | 4.4
| Bug fix?      | no
| New feature?  | no
| BC breaks?    | no
| Deprecations? | no
| Tests pass?   | yes
| Fixed tickets | prepares #33497
| License       | MIT
| Doc PR        | N/A

The plan is to release a version 2 of the contracts package that will require php 7.2 but remains compatible to Symfony 4.

Commits
-------

a1ee320 Allow version 2 of the contracts package.

@fabpot fabpot merged commit a1ee320 into symfony:4.4 Sep 8, 2019

2 of 3 checks passed

continuous-integration/appveyor/pr AppVeyor build failed
Details
continuous-integration/travis-ci/pr The Travis CI build passed
Details
fabbot.io Your code looks good.
Details

@derrabus derrabus deleted the derrabus:improvement/allow-contracts-2 branch Sep 8, 2019

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
5 participants
You can’t perform that action at this time.